Skip to main content
GET
/
api
/
v1
/
brands
/
{brand_id}
/
dashboards
/
competitor-google-ads
/
overlap
Get Competitor Overlap
curl --request GET \
  --url https://api.example.com/api/v1/brands/{brand_id}/dashboards/competitor-google-ads/overlap \
  --header 'Authorization: Bearer <token>'
{
  "competitor_domain": "<string>",
  "shared_keywords": [
    {}
  ],
  "gap_keywords": [
    {}
  ],
  "overlap_keyword_count": 123,
  "gap_keyword_count": 123,
  "estimate_notice": "Estimated — modelled from competitor paid keywords (DataForSEO). Not actual competitor spend."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
string<uuid>
required

Query Parameters

competitor
string
required

competitor domain

Minimum string length: 1

Response

Successful Response

competitor_domain
string
required
shared_keywords
Shared Keywords · object[]
required
gap_keywords
Gap Keywords · object[]
required
overlap_keyword_count
integer | null
gap_keyword_count
integer | null
estimate_notice
string
default:Estimated — modelled from competitor paid keywords (DataForSEO). Not actual competitor spend.